//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007, 2008 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

int weircdInit(const unsigned char* version) {
	strncpy(version_copy,version,49);
	version_copy[49] = 0;
	printf("----------------------------------------------\n");
	printf(" ___    __    ___                             \n");
	printf(" \\  \\  /  \\  /  /.---. .-. .---.   .-. .--.   \n");
	printf("  |  \\/    \\/  | | .-' | | | .. \\ / /  | . \\  \n");
	printf("   \\    ..    /  | '-. | | | '' / | |  | || | \n");
	printf("    |   ||   |   | .-' | | | \\ \\  | |  | || | \n");
	printf("    \\  /  \\  /   | '-. | | | |\\ \\ \\ \\  | ' /  \n");
	printf("     \\/    \\/    '---' '-' '-' '-' '-' '--'   \n");
	printf("\n");
	printf("    Version %s\n",version_copy);
	printf("----------------------------------------------\n\n");
	printf("%s Initialising memory management...\n",startupprefix);
	weircdUserInit();
	weircdChannelsInit();
	weircdIpsInit();
#ifdef SERVICES_ENABLED
	if (weircdServicesInit() == false) {return -1;}
#endif
	return 0;
}
int forkIntoBackground() {
	int r;
	r = fork();
	if (r < 0) {return -2;}
	if (r == 0) {
		return 0;
	}else{
      return -1;
	}
}
